### Property

# EDataServer SourceLDAP:authentication

#### Declaration

    property authentication: EDataServer.SourceLDAPAuthentication [ read, write ]

#### Description [src]

LDAP authentication method.

Type:`ESourceLDAPAuthentication`

Default value | E_SOURCE_LDAP_AUTHENTICATION_NONE
Getter method | `e_source_ldap_get_authentication()`
Setter method | `e_source_ldap_set_authentication()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no